%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             picketbox
Version:          4.9.6
Release:          4%{?dist}
Summary:          Security framework for Java Applications
License:          LGPLv2+
URL:              http://picketbox.jboss.org

Source0:          https://github.com/picketbox/picketbox/archive/v%{namedversion}.tar.gz
Source1:          picketbox-%{namedversion}-pom.xml

# Until this is merged: https://github.com/picketbox/picketbox/pull/61
Patch0:           picketbox-assembly.patch

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(javax.persistence:persistence-api)
BuildRequires:    mvn(org.apache.maven.plugins:maven-assembly-plugin)
BuildRequires:    mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires:    mvn(org.codehaus.mojo:javacc-maven-plugin)
BuildRequires:    mvn(org.hibernate:hibernate-core:3)
BuildRequires:    mvn(org.hibernate:hibernate-entitymanager:3)
BuildRequires:    mvn(org.infinispan:infinispan-core)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.jboss.logging:jboss-logging)
BuildRequires:    mvn(org.jboss.logging:jboss-logging-annotations)
BuildRequires:    mvn(org.jboss.logging:jboss-logging-processor)
BuildRequires:    mvn(org.jboss.maven.plugins:maven-injection-plugin)
BuildRequires:    mvn(org.jboss.modules:jboss-modules)
BuildRequires:    mvn(org.jboss.security:jbossxacml)
BuildRequires:    mvn(org.jboss.spec.javax.resource:jboss-connector-api_1.6_spec)
BuildRequires:    mvn(org.jboss.spec.javax.security.auth.message:jboss-jaspi-api_1.1_spec)
BuildRequires:    mvn(org.jboss.spec.javax.security.jacc:jboss-jacc-api_1.5_spec)
BuildRequires:    mvn(org.jboss.spec.javax.servlet:jboss-servlet-api_3.0_spec)
BuildRequires:    mvn(org.picketbox:picketbox-commons)
BuildRequires:    xmvn

%description
Java Security Framework that provides Java developers the following
functionality:

- Authentication Support
- Authorization Support
- Audit Support
- Security Mapping Support
- An Oasis XACML v2.0 compliant engine

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%patch0 -p1

# Change hibernate version
%pom_change_dep org.hibernate: ::3 security-jboss-sx/acl

%pom_remove_dep "org.hibernate:hibernate-annotations" security-jboss-sx/acl/pom.xml
%pom_change_dep :servlet-api org.jboss.spec.javax.servlet:jboss-servlet-api_3.0_spec security-spi/spi
%pom_change_dep :servlet-api org.jboss.spec.javax.servlet:jboss-servlet-api_3.0_spec:1.0.2.Final security-spi/parent

# Disable default-jar execution of maven-jar-plugin, which is causing
# problems with version 3.0.0 of the plugin.
%pom_xpath_inject "pom:plugin[pom:artifactId='maven-jar-plugin']/pom:executions" "
<execution>
  <id>default-jar</id>
  <phase>skip</phase>
</execution>" security-jboss-sx/jbosssx-client

%pom_remove_dep org.jboss.modules:jboss-modules security-jboss-sx/parent
%pom_add_dep_mgmt org.jboss.modules:jboss-modules:1.3.4.Final:compile security-jboss-sx/parent

# Don't use deprecated "attached" goal of Maven Assembly Plugin, which
# was removed in version 3.0.0.
%pom_xpath_set -r "pom:plugin[pom:artifactId='maven-assembly-plugin']/pom:executions/pom:execution/pom:goals/pom:goal[text()='attached']" single

%pom_remove_dep org.picketbox:common-spi security-jboss-sx/identity
%pom_add_dep org.picketbox:common-spi:'${project.version}':compile security-jboss-sx/identity

%build

%mvn_build -f

%install
%mvn_install

# Assembly jar
install -pm 644  assembly/target/picketbox-%{namedversion}-bin.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}.jar
install -pm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-%{name}.pom
%add_maven_depmap JPP.%{name}-%{name}.pom %{name}/%{name}.jar

%files -f .mfiles
%files javadoc -f .mfiles-javadoc

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.9.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Nov 18 2016 gil cattaneo <puntogil@libero.it> 4.9.6-3
- replace deprecated goal of maven-assembly-plugin

* Tue Aug 09 2016 gil cattaneo <puntogil@libero.it> 4.9.6-2
- add missing build requires: xmvn
- prevent duplicate pom BR entries

* Mon Jun 06 2016 Ricardo Arguello <ricardo@fedoraproject.org> - 4.9.6-1
- Update to 4.9.6.Final

* Thu Jun 02 2016 gil cattaneo <puntogil@libero.it> - 4.9.5-1
- Update to 4.9.5.Final
- Use BR mvn()-like
- Fix URL field

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.21-0.3.Beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.21-0.2.Beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 12 2014 Marek Goldmann <mgoldman@redhat.com> - 4.0.21-0.1.Beta1
- Upstream release 4.0.21.Beta1

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 13 2014 Marek Goldmann <mgoldman@redhat.com> - 4.0.20-1
- Upstream release 4.0.20.Final

* Tue Jul 09 2013 Marek Goldmann <mgoldman@redhat.com> - 4.0.18-1
- Upstream release 4.0.18.Final

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 4.0.6-8
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Mon Aug 6 2012 Ricardo Arguello <ricardo@fedoraproject.org> - 4.0.6-7
- Added BR: maven-enforcer-plugin

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Mar 23 2012 Ricardo Arguello <ricardo@fedoraproject.org> - 4.0.6-5
- Added rhq-plugin-annotations to BR and R

* Thu Mar 22 2012 Ricardo Arguello <ricardo@fedoraproject.org> - 4.0.6-4
- Fixed description to be shorter than 80 chars
- Removed macro char from changelog

* Fri Mar 16 2012 Ricardo Arguello <ricardo@fedoraproject.org> - 4.0.6-3
- Replaced dependency for geronimo-jpa with hibernate-jpa-2.0-api
- Added dependencies jboss-servlet-3.0-api and jboss-transaction-1.1-api
- Fixed add_maven_depmap for picketbox/bare.jar

* Thu Mar 8 2012 Ricardo Arguello <ricardo@fedoraproject.org> - 4.0.6-2
- Cleanup of the spec file

* Thu Jan 27 2011 Marek Goldmann <mgoldman@redhat.com> - 4.0.6-1
- Initial packaging
